#include <iostream>
#include <cmath>

using namespace std;

long a[2*1000000];
long b[int(2e6+50)];
long c[int(2e6+50)];

int main()
{
    long n,k,br,p,s;
    cin>>n>>k;
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    p=0;
    for(int i=0;i<n;i++){
        br=1;
        for(int j=i+1;j<n;j++){
            if(a[i]==a[j]){
                br=br+1;
            }
        }
        if(br>=k){
            s=0;
            for(int t=0;t<p;t++){
                if(a[i]!=b[t]){
                    s=s+1;
                }
            }
            if(s==p){
                b[p]=a[i];
                p=p+1;
            }
        }
    }
    cout<<p<<"\n";
    for(int i=0;i<p;i++){
        cout<<b[i]<<" ";
    }
    return 0;
}